kdevops.lists.linux.dev archive mirror
 help / color / mirror / Atom feed
From: Frederick Lawler <fred@cloudflare.com>
To: mcgrof@kernel.org
Cc: kdevops@lists.linux.dev, kernel-team@cloudflare.com,
	Frederick Lawler <fred@cloudflare.com>
Subject: [PATCH] fstests: Fix hang in copy-results.sh
Date: Tue, 29 Aug 2023 15:45:16 -0500	[thread overview]
Message-ID: <20230829204516.1179999-1-fred@cloudflare.com> (raw)

When using a configuration other than libvirt-qemu, the
scripts/workflows/fstests/copy-results.sh script hangs because grep is
expecting input.

Signed-off-by: Frederick Lawler <fred@cloudflare.com>
---
 scripts/workflows/fstests/copy-results.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/scripts/workflows/fstests/copy-results.sh b/scripts/workflows/fstests/copy-results.sh
index 084cf2d26c0f..6d939ec4385c 100755
--- a/scripts/workflows/fstests/copy-results.sh
+++ b/scripts/workflows/fstests/copy-results.sh
@@ -38,7 +38,7 @@ fi
 TYPE="libvirt-qemu"
 if ! grep -q "libvirt_provider: True" $VARS; then
 	TYPE="cloud"
-	if ! grep -q terraform; then
+	if ! grep -q terraform $VARS; then
 		TYPE="custom"
 	fi
 fi
-- 
2.34.1


             reply	other threads:[~2023-08-29 20:45 UTC|newest]

Thread overview: 2+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-08-29 20:45 Frederick Lawler [this message]
2023-08-29 22:57 ` [PATCH] fstests: Fix hang in copy-results.sh Luis Chamberlain

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20230829204516.1179999-1-fred@cloudflare.com \
    --to=fred@cloudflare.com \
    --cc=kdevops@lists.linux.dev \
    --cc=kernel-team@cloudflare.com \
    --cc=mcgrof@kernel.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).